Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.lucene
Class CaseOperations

    java.lang.Object
      org.modeshape.jcr.query.lucene.CaseOperations

    @Immutable
    public class CaseOperations

extends Object

A set of functions that can be used to operate upon the case of a string stored in the indexes before being evaluated against criteria from a query.

Nested Class Summary
`static interface` | `CaseOperations.CaseOperation` A function that can be used to operate upon the case of a string stored in the indexes before being evaluated against criteria from a query.

Field Summary
`static CaseOperations.CaseOperation` | `AS_IS` The CaseOperation instance that leaves as is the string used within the indexes before being evaluated.
`static CaseOperations.CaseOperation` | `LOWERCASE` The CaseOperation instance that lowercases the string used within the indexes before being evaluated.
`static CaseOperations.CaseOperation` | `UPPERCASE` The CaseOperation instance that uppercases the string used within the indexes before being evaluated.

Constructor Summary
`CaseOperations()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AS_IS

    public static final CaseOperations.CaseOperation AS_IS

  The CaseOperation instance that leaves as is the string used within the indexes before being evaluated.

### LOWERCASE

    public static final CaseOperations.CaseOperation LOWERCASE

  The CaseOperation instance that lowercases the string used within the indexes before being evaluated.

### UPPERCASE

    public static final CaseOperations.CaseOperation UPPERCASE

  The CaseOperation instance that uppercases the string used within the indexes before being evaluated.

Constructor Detail

### CaseOperations

    public CaseOperations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.